detekt-api
1.21.0-RC2

# RuleSetConfigProperty

class RuleSetConfigProperty < T : Any >(val key: String , val defaultValue: T )
Content copied to clipboard

## Constructors

RuleSetConfigProperty
Link copied to clipboard
fun < T : Any > RuleSetConfigProperty (key: String , defaultValue: T )
Content copied to clipboard

## Functions

value
Link copied to clipboard
fun value (config: Config ): T
Content copied to clipboard

## Properties

defaultValue
Link copied to clipboard
val defaultValue : T
Content copied to clipboard
key
Link copied to clipboard
val key : String
Content copied to clipboard